# Uses of Interface
com.sun.mirror.declaration.TypeDeclaration

Packages that use TypeDeclaration
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of TypeDeclaration in com.sun.mirror.apt

Methods in com.sun.mirror.apt that return TypeDeclaration
Modifier and Type
Method
Description
`TypeDeclaration`
AnnotationProcessorEnvironment.`getTypeDeclaration(String name)`
Returns the declaration of a type given its fully qualified name.
Methods in com.sun.mirror.apt that return types with arguments of type TypeDeclaration
Modifier and Type
Method
Description
`Collection<TypeDeclaration>`
AnnotationProcessorEnvironment.`getSpecifiedTypeDeclarations()`
Returns the declarations of the types specified when the annotation processing tool was invoked.
`Collection<TypeDeclaration>`
AnnotationProcessorEnvironment.`getTypeDeclarations()`
A convenience method that returns the declarations of the types included in this invocation of the annotation processing tool.

## Uses of TypeDeclaration in com.sun.mirror.declaration

Subinterfaces of TypeDeclaration in com.sun.mirror.declaration
Modifier and Type
Interface
Description
`interface`
`AnnotationTypeDeclaration`
Represents the declaration of an annotation type.
`interface`
`ClassDeclaration`
Represents the declaration of a class.
`interface`
`EnumDeclaration`
Represents the declaration of an enum type.
`interface`
`InterfaceDeclaration`
Represents the declaration of an interface.
Methods in com.sun.mirror.declaration that return TypeDeclaration
Modifier and Type
Method
Description
`TypeDeclaration`
MemberDeclaration.`getDeclaringType()`
Returns the type declaration within which this member or constructor is declared.
Methods in com.sun.mirror.declaration that return types with arguments of type TypeDeclaration
Modifier and Type
Method
Description
`Collection<TypeDeclaration>`
TypeDeclaration.`getNestedTypes()`
Returns the declarations of the nested classes and interfaces that are directly declared by this class or interface.

## Uses of TypeDeclaration in com.sun.mirror.type

Methods in com.sun.mirror.type that return TypeDeclaration
Modifier and Type
Method
Description
`TypeDeclaration`
DeclaredType.`getDeclaration()`
Returns the declaration of this type.

## Uses of TypeDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type TypeDeclaration
Modifier and Type
Method
Description
`DeclaredType`
Types.`getDeclaredType(TypeDeclaration decl, TypeMirror... typeArgs)`
Returns the type corresponding to a type declaration and actual type arguments.
`DeclaredType`
Types.`getDeclaredType(DeclaredType containing, TypeDeclaration decl, TypeMirror... typeArgs)`
Returns the type corresponding to a type declaration and actual arguments, given a containing type of which it is a member.
`void`
DeclarationVisitor.`visitTypeDeclaration(TypeDeclaration d)`
Visits a type declaration.
`void`
SimpleDeclarationVisitor.`visitTypeDeclaration(TypeDeclaration d)`
Visits a type declaration.